---
title: Ansible Wiki ELK Intro
tags:
- ansible
---
# ElasticSearch

- [Collecting Data](/ansible/wiki/elk/fluentd)
- [UI to view the data](/ansible/wiki/elk/kibana)
- [Alerts on Log Data](/ansible/wiki/monitoring/alerts-elk)
- [Re-Indexing a broken index](/ansible/wiki/elk/re-indexing)

Log data from the OS and selected applications is generated on the server farm on many different places and we are aggregating all of that data in ElasticSearch so that we can analyse the systems when ever needed but also to be able to raise alerts if something is going wrong.

In this chapter we are describing on how that works and what can be done with all the data.
